Get user profile
curl --request GET \
--url https://platform.neural-motion.org/api/v1/users/me/profile \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.neural-motion.org/api/v1/users/me/profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.neural-motion.org/api/v1/users/me/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"item": {
"id": "<string>",
"email": "<string>",
"display_name": "<string>",
"title": "<string>",
"timezone": "<string>",
"default_project_org_slug": "<string>",
"default_project_slug": "<string>",
"notification_preferences": {
"transform_done": {
"email": true,
"in_app": true
},
"export_ready": {
"email": true,
"in_app": true
},
"team_invite": {
"email": true,
"in_app": true
},
"episode_flag": {
"email": true,
"in_app": true
},
"import_fail": {
"email": true,
"in_app": true
},
"weekly_digest": {
"email": true,
"in_app": true
}
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Users and tokens
Get user profile
GET
/
api
/
v1
/
users
/
me
/
profile
Get user profile
curl --request GET \
--url https://platform.neural-motion.org/api/v1/users/me/profile \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.neural-motion.org/api/v1/users/me/profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.neural-motion.org/api/v1/users/me/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"item": {
"id": "<string>",
"email": "<string>",
"display_name": "<string>",
"title": "<string>",
"timezone": "<string>",
"default_project_org_slug": "<string>",
"default_project_slug": "<string>",
"notification_preferences": {
"transform_done": {
"email": true,
"in_app": true
},
"export_ready": {
"email": true,
"in_app": true
},
"team_invite": {
"email": true,
"in_app": true
},
"episode_flag": {
"email": true,
"in_app": true
},
"import_fail": {
"email": true,
"in_app": true
},
"weekly_digest": {
"email": true,
"in_app": true
}
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Clerk session JWT for browsers, or nmp_ personal access token for CLI/SDK clients. Not accepted by ClerkSession-only operations.
Headers
Response
Successful Response
Show child attributes
Show child attributes
⌘I

